/* loop.h
   Header file for handling retrieve loops (both
   iterative and recursive) */


/* "Fancy" print definitions */
#define DOTS_ON_LINE 50
#define BYTES_IN_DOT 1024
/* How many dots before a SPACE */
#define DOT_SPACING 10

/* Function declarations */
char *time_str(void);
uerr_t retrieve_url(char *, char **, int, int *);
int retrieve_more_urls(char **, int);
uerr_t retrieve_urls_from_file(char **, char *, int);
uerr_t recursive_retrieve(char **, char *, int, int, char *);
int acceptable(char *);
int in_acclist(char **, char *);
char *suffix(char *s);
int matches(char **, char *);
char **fillacclist(char *);
uerr_t load_file(FILE *, char **, long *);
void create_hash(char ***, char **);
int in_hash(char **, char *);
void add_hash(char ***, char *);
void freelists(void);
void printwhat(int, int);

