/* url.h
   Header file for URL handling */

/* URL separator (for findurl) */
#define URL_SEPARATOR "!\"#'()*+,>`{}|<>"

/* Default port definitions */
#define DEFAULT_HTTP_PORT 80
#define DEFAULT_FTP_PORT 21

/* Function declarations */
uerr_t urltype(char *);
uerr_t parseurl(char *, char *, int *, char *);
char *findurl(char *, int, int *);
int mymkdir(char *);
char *mkstruct(char *);
char *url_filename(char *, char *);
char *unique_name(char *, int);
int exists(char *);
char *construct(char *, char *, int, int);
char *strip_double(char *);
char *strip_dot(char *);
char *opt_url(char *, int);
int numdigit(int);

