/* geturl.h
   URL getter header file */

/* Macro definitions */

/* Version string */
#ifndef VERSION_STRING
#  define VERSION_STRING "GetURL"
#endif


/* Universal error type -- used almost everywhere */
typedef enum {NOCONERROR, HOSTERR, CONTIMEDOUT, CONSOCKERR, CONERROR,
	      CONREFUSED, NEWLOCATION, NOTENOUGHMEM, CONPORTERR,
	      BINDERR, BINDOK, LISTENERR, ACCEPTERR, ACCEPTOK,
	      CONCLOSED, FTPOK, FTPLOGINC, FTPPORTERR, FTPNSFOD,
	      FTPRETROK, FTPUNKNOWNTYPE, FTPRERR, FTPREXC,
	      FTPBADFILE, FTPSRVERR, FTPRETRINT,
	      URLOK, URLHTTP, URLFTP, URLUNKNOWN, URLBADPORT, FOPENERR,
	      FWRITEERR, HOK, HLEXC, HEOF, HERR, RETROK, RECLEVELEXC,
	      FTPACCDENIED, RETRFINISHED, READERR, TRYLIMEXC} uerr_t;

void *nmalloc(size_t);
void *nrealloc(void *, size_t);
char *nstrdup(char *);

